OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Interface

# Interface_ParamSet Class Reference

Defines an ordered set of FileParameters, in a way to be
efficient as in memory requirement or in speed
.

`#include <Interface_ParamSet.hxx>`

## Public Member Functions
Standard_EXPORT | Interface_ParamSet (const Standard_Integer nres, const Standard_Integer nst=1)
| Creates an empty ParamSet, beginning at number "nst" and of initial reservation "nres" : the "nres" first parameters which follow "ndeb" (included) will be put in an Array (a ParamList). The remainders are set in Next(s) ParamSet(s) .
Standard_EXPORT Standard_Integer | Append (const Standard_CString val, const Standard_Integer lnval, const Interface_ParamType typ, const Standard_Integer nument)
| Adds a parameter defined as its Value (CString and length) and Type. Optionnal EntityNumber (for FileReaderData) can be given Allows a better memory management than Appending a complete FileParameter If <lnval> < 0, <val> is assumed to be managed elsewhere : its adress is stored as such. Else, <val> is copied in a locally (quickly) managed Page of Characters Returns new count of recorded Parameters .
Standard_EXPORT Standard_Integer | Append (const Interface_FileParameter &FP)
| Adds a parameter at the end of the ParamSet (transparent about reservation and "Next") Returns new count of recorded Parameters .
Standard_EXPORT Standard_Integer | NbParams () const
| Returns the total count of parameters (including nexts) .
Standard_EXPORT const Interface_FileParameter & | Param (const Standard_Integer num) const
| Returns a parameter identified by its number .
Standard_EXPORT Interface_FileParameter & | ChangeParam (const Standard_Integer num)
| Same as above, but in order to be modified on place .
Standard_EXPORT void | SetParam (const Standard_Integer num, const Interface_FileParameter &FP)
| Changes a parameter identified by its number .
Standard_EXPORT Handle_Interface_ParamList | Params (const Standard_Integer num, const Standard_Integer nb) const
| Builds and returns the sub-list correspinding to parameters, from "num" included, with count "nb" If <num> and <nb> are zero, returns the whole list .
Standard_EXPORT void | Destroy ()
| Destructor (waiting for transparent memory management) .
| ~Interface_ParamSet ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_PCharacter | theval
Standard_Integer | thelnval
Standard_Integer | thelnres
Standard_Integer | thenbpar
Standard_Integer | themxpar
Handle_Interface_ParamList | thelist
Handle_Interface_ParamSet | thenext

## Constructor & Destructor Documentation

Standard_EXPORT Interface_ParamSet::Interface_ParamSet | ( | const Standard_Integer | nres,
|  | const Standard_Integer | nst = `1`
| ) |

Interface_ParamSet::~Interface_ParamSet | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT Standard_Integer Interface_ParamSet::Append | ( | const Interface_FileParameter & | FP | ) |

Standard_EXPORT Standard_Integer Interface_ParamSet::Append | ( | const Standard_CString | val,
|  | const Standard_Integer | lnval,
|  | const Interface_ParamType | typ,
|  | const Standard_Integer | nument
| ) |

Standard_EXPORT Interface_FileParameter& Interface_ParamSet::ChangeParam | ( | const Standard_Integer | num | ) |

Standard_EXPORT void Interface_ParamSet::Destroy | ( |  | ) |

Standard_EXPORT const Interface_ParamSet::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Integer Interface_ParamSet::NbParams | ( |  | ) | const

Standard_EXPORT const Interface_FileParameter& Interface_ParamSet::Param | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Handle_Interface_ParamList Interface_ParamSet::Params | ( | const Standard_Integer | num,
|  | const Standard_Integer | nb
| ) | const

Standard_EXPORT void Interface_ParamSet::SetParam | ( | const Standard_Integer | num,
|  | const Interface_FileParameter & | FP
| ) |

## Field Documentation

Handle_Interface_ParamList Interface_ParamSet::thelist`[private]`

Standard_Integer Interface_ParamSet::thelnres`[private]`

Standard_Integer Interface_ParamSet::thelnval`[private]`

Standard_Integer Interface_ParamSet::themxpar`[private]`

Standard_Integer Interface_ParamSet::thenbpar`[private]`

Handle_Interface_ParamSet Interface_ParamSet::thenext`[private]`

Standard_PCharacter Interface_ParamSet::theval`[private]`

The documentation for this class was generated from the following file:

- Interface_ParamSet.hxx